<% health_facilities = @stats[:health_facilities_specialty_distances][:data].collect.with_index{ |v, i| [v[0], i] } %>

<% if health_facilities.size != 0 %>
  <%= select_tag(
    :health_facility_specialty_distances_select,
    options_for_select(health_facilities),
    onchange: "generalData.healthFacilitiesChartFor(this.value,  #{@stats[:health_facilities_specialty_distances].to_json}, new ChartGenerator(echarts, $, window))") %>
  <div id="health-facility-specialty-distances-chart" style="width: 100%; min-height: 400px"></div>
<% else %>
  <p>
    <%= t '.no_health_facilities' %>
  </p>
<% end %>
